#!/usr/bin/env /lib/init/init-d-script
### BEGIN INIT INFO
# Provides:          bcron-update
# Should-Start:      $syslog
# Required-Start:    $time $local_fs
# Required-Stop:     $time $local_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: bcron system scheduler
### END INIT INFO
NAME='bcron-update'
DESC='update system crontabs'
DAEMON=/usr/sbin/bcron-update

daemon_ () { /usr/bin/daemon --noconfig --name "${NAME}" "$@"; }
if ! test -x '/usr/bin/daemon' ; then
	log_failure_msg "install \`daemon' package to use ${NAME} script"
	exit 1
fi

do_start_cmd_override () {
	for i in crontabs tmp ; do
		mkdir -p /var/spool/cron/$i
		chown -R cron /var/spool/cron/$i
		chmod go-rwx /var/spool/cron/$i
	done
	daemon_ -- "${DAEMON}" /etc/crontab /etc/cron.d
}

do_stop_cmd_override () {
	if daemon_ --running ; then
		daemon_ --stop
	fi
}

# vim: ft=sh
